Bug 719896 - [abrt] gamin-0.1.10-9.fc15: gam_node_remove_subscription: Process /usr/libexec/gam_server was killed by signal 6 (SIGABRT)
[abrt] gamin-0.1.10-9.fc15: gam_node_remove_subscription: Process /usr/libexe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:982839c8f8c92e0295655cd8eb6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-08 06:37 EDT by Michal Piotrowski
Modified: 2015-03-03 18:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:49:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Piotrowski 2011-07-08 06:37:08 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/libexec/gam_server
comment:        Just using KDE desktop (saving file from Kate). I don't know how to trigger the bug but it occurs regularly.
component:      gamin
crash_function: gam_node_remove_subscription
executable:     /usr/libexec/gam_server
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gamin-0.1.10-9.fc15
reason:         Process /usr/libexec/gam_server was killed by signal 6 (SIGABRT)
time:           Fri Jul  8 12:21:52 2011
uid:            1011

backtrace:
:[New LWP 23539]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/gam_server'.
:Program terminated with signal 6, Aborted.
:#0  0x00000038ff0352d5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
:	in ../nptl/sysdeps/unix/sysv/linux/raise.c
:
:Thread 1 (Thread 0x7fd36bbd9720 (LWP 23539)):
:#0  0x00000038ff0352d5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = <optimized out>
:#1  0x00000038ff036beb in abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x1b98aa0, sa_sigaction = 0x1b98aa0}, sa_mask = {__val = {1, 28793216, 244847096865, 0, 32, 28793216, 28793216, 28930720, 28930720, 28945776, 28930720, 124, 1, 0, 244846991171, 28793216}}, sa_flags = 33972378, sa_restorer = 0x65}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x00000039020665bd in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x40fd00 "gam_node_remove_subscription", message=0x1b98aa0 "assertion failed: (g_list_find (node->subs, sub))") at gtestutils.c:1358
:        lstr = "196\000\377\177\000\000\020\021\340\062\377\177\000\000\001\000\000\000\000\000\000\000\251\373@\000\000\000\000"
:        s = 0x1b9ad70 ""
:#3  0x0000003902066ae2 in g_assertion_message_expr (domain=0x0, file=0x40fb5b "gam_node.c", line=196, func=0x40fd00 "gam_node_remove_subscription", expr=<optimized out>) at gtestutils.c:1369
:        s = <optimized out>
:#4  0x0000000000404d6c in gam_node_remove_subscription (node=0x1ba15b0, sub=0x1b805b0) at gam_node.c:196
:        __PRETTY_FUNCTION__ = "gam_node_remove_subscription"
:#5  0x000000000040575b in gam_poll_basic_remove_subscription (sub=0x1b805b0) at gam_poll_basic.c:196
:        path = 0x1b80540 "___here was a path to a file in an automounted NFS directory, no special characters or spaces in a filename___"
:        node = 0x1ba15b0
:        __FUNCTION__ = "gam_poll_basic_remove_subscription"
:        __PRETTY_FUNCTION__ = "gam_poll_basic_remove_subscription"
:#6  0x00000000004091e2 in gam_connection_request (req=0x1b8484c, conn=0x1b84820) at gam_connection.c:400
:        path = 0x1b807b0 "___here was a path to a file in an automounted NFS directory, no special characters or spaces in a filename___"
:        pathlen = 48
:        is_dir = 1
:        type = <optimized out>
:        sub = 0x1b805b0
:        events = <optimized out>
:        byte_save = 47 '/'
:        options = <optimized out>
:#7  gam_connection_data (conn=0x1b84820, len=<optimized out>) at gam_connection.c:509
:        req = 0x1b8484c
:        __PRETTY_FUNCTION__ = "gam_connection_data"
:        __FUNCTION__ = "gam_connection_data"
:#8  0x0000000000407c31 in gam_client_conn_read (info=0x1b84820, source=0x1b7f820, condition=<optimized out>) at gam_channel.c:283
:        data = 0x1b8484c "\n"
:        fd = 16
:        ret = <optimized out>
:        size = <optimized out>
:#9  gam_client_conn_read (source=0x1b7f820, condition=<optimized out>, info=0x1b84820) at gam_channel.c:214
:        conn = 0x1b84820
:#10 0x00000039020427ed in g_main_dispatch (context=0x1b74090) at gmain.c:2441
:        dispatch = 0x3902084ad0 <g_io_unix_dispatch>
:        was_in_call = 0
:        user_data = 0x1b84820
:        callback = 0x4077f0 <gam_client_conn_read>
:        cb_funcs = 0x3902315c50
:        cb_data = 0x1b83330
:        current_source_link = {data = 0x1b82800, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x1b82800
:        current = 0x1b6f4b0
:        i = <optimized out>
:#11 g_main_context_dispatch (context=0x1b74090) at gmain.c:3014
:No locals.
:#12 0x0000003902042fc8 in g_main_context_iterate (context=0x1b74090, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 2147483647
:        timeout = 999
:        some_ready = 1
:        nfds = 15
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#13 0x000000390204360d in g_main_loop_run (loop=0x1b76620) at gmain.c:3300
:        self = 0x1b6f050
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#14 0x000000000040364d in main (argc=<optimized out>, argv=<optimized out>) at gam_server.c:647
:        loop = 0x1b76620
:        __FUNCTION__ = "main"
:From                To                  Syms Read   Shared Object Library
:0x0000003902016cd0  0x00000039020adbec  Yes         /lib64/libglib-2.0.so.0
:0x00000038ff01ece0  0x00000038ff14304c  Yes         /lib64/libc.so.6
:0x0000003900802160  0x00000039008053ec  Yes         /lib64/librt.so.1
:0x00000038fec00b20  0x00000038fec18caa  Yes         /lib64/ld-linux-x86-64.so.2
:0x00000038ffc05640  0x00000038ffc1038c  Yes         /lib64/libpthread.so.0
:0x00007fd36b9ce170  0x00007fd36b9d58ac  Yes         /lib64/libnss_files.so.2
:$1 = 0x0
:$2 = 0x1b9b530 "ERROR:gam_node.c:196:gam_node_remove_subscription: assertion failed: (g_list_find (node->subs, sub))"
:rax            0x0	0
:rbx            0x1b9ad70	28945776
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x5bf3	23539
:rdi            0x5bf3	23539
:rbp            0x3902316400	0x3902316400
:rsp            0x7fff32e00f98	0x7fff32e00f98
:r8             0x20	32
:r9             0x38ff12f280	244797600384
:r10            0x8	8
:r11            0x206	518
:r12            0x40fd00	4259072
:r13            0x1b98aa0	28936864
:r14            0x1b807b0	28837808
:r15            0x1b8484c	28854348
:rip            0x38ff0352d5	0x38ff0352d5 <raise+53>
:eflags         0x206	[ PF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function raise:
:   0x00000038ff0352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x00000038ff0352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x00000038ff0352b0 <+16>:	test   %esi,%esi
:   0x00000038ff0352b2 <+18>:	jne    0x38ff0352e0 <raise+64>
:   0x00000038ff0352b4 <+20>:	mov    $0xba,%eax
:   0x00000038ff0352b9 <+25>:	syscall 
:   0x00000038ff0352bb <+27>:	mov    %eax,%esi
:   0x00000038ff0352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x00000038ff0352c5 <+37>:	movslq %edi,%rdx
:   0x00000038ff0352c8 <+40>:	movslq %esi,%rsi
:   0x00000038ff0352cb <+43>:	movslq %eax,%rdi
:   0x00000038ff0352ce <+46>:	mov    $0xea,%eax
:   0x00000038ff0352d3 <+51>:	syscall 
:=> 0x00000038ff0352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00000038ff0352db <+59>:	ja     0x38ff0352ef <raise+79>
:   0x00000038ff0352dd <+61>:	repz retq 
:   0x00000038ff0352df <+63>:	nop
:   0x00000038ff0352e0 <+64>:	test   %eax,%eax
:   0x00000038ff0352e2 <+66>:	jg     0x38ff0352c5 <raise+37>
:   0x00000038ff0352e4 <+68>:	test   $0x7fffffff,%eax
:   0x00000038ff0352e9 <+73>:	je     0x38ff035300 <raise+96>
:   0x00000038ff0352eb <+75>:	neg    %eax
:   0x00000038ff0352ed <+77>:	jmp    0x38ff0352c5 <raise+37>
:   0x00000038ff0352ef <+79>:	mov    0x35ccb2(%rip),%rdx        # 0x38ff391fa8
:   0x00000038ff0352f6 <+86>:	neg    %eax
:   0x00000038ff0352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00000038ff0352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x00000038ff0352ff <+95>:	retq   
:   0x00000038ff035300 <+96>:	mov    %esi,%eax
:   0x00000038ff035302 <+98>:	jmp    0x38ff0352c5 <raise+37>
:End of assembler dump.

build_ids:
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:263808e67654286dd52d513eff5f47217feb6bf2
:020ea634b00e306a5ba5982d96f7f55c560bee88
:ebb6702a16d91f29f76e61e919170eba439029c5
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:93f559fe04fb833cb733f4720d1a9c472153e828
:4c7e95adf3ebf234c3296a412389fb303f4facf0

dso_list:
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309747046
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309747046
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1309747046
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309747046
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309747046
:/usr/libexec/gam_server gamin-0.1.10-9.fc15.x86_64 (Fedora Project) 1306313232
:/usr/libexec/gam_server gamin-0.1.10-9.fc15.i686 (Fedora Project) 1306315910
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309747046
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307758216

maps:
:00400000-00416000 r-xp 00000000 fd:02 142197                             /usr/libexec/gam_server
:00615000-00617000 rw-p 00015000 fd:02 142197                             /usr/libexec/gam_server
:01b6d000-01bb6000 rw-p 00000000 00:00 0                                  [heap]
:38fec00000-38fec1f000 r-xp 00000000 fd:02 242                            /lib64/ld-2.14.so
:38fee1e000-38fee1f000 r--p 0001e000 fd:02 242                            /lib64/ld-2.14.so
:38fee1f000-38fee20000 rw-p 0001f000 fd:02 242                            /lib64/ld-2.14.so
:38fee20000-38fee21000 rw-p 00000000 00:00 0 
:38ff000000-38ff18f000 r-xp 00000000 fd:02 1027                           /lib64/libc-2.14.so
:38ff18f000-38ff38e000 ---p 0018f000 fd:02 1027                           /lib64/libc-2.14.so
:38ff38e000-38ff392000 r--p 0018e000 fd:02 1027                           /lib64/libc-2.14.so
:38ff392000-38ff393000 rw-p 00192000 fd:02 1027                           /lib64/libc-2.14.so
:38ff393000-38ff399000 rw-p 00000000 00:00 0 
:38ffc00000-38ffc16000 r-xp 00000000 fd:02 1218                           /lib64/libpthread-2.14.so
:38ffc16000-38ffe15000 ---p 00016000 fd:02 1218                           /lib64/libpthread-2.14.so
:38ffe15000-38ffe16000 r--p 00015000 fd:02 1218                           /lib64/libpthread-2.14.so
:38ffe16000-38ffe17000 rw-p 00016000 fd:02 1218                           /lib64/libpthread-2.14.so
:38ffe17000-38ffe1b000 rw-p 00000000 00:00 0 
:3900800000-3900807000 r-xp 00000000 fd:02 9862                           /lib64/librt-2.14.so
:3900807000-3900a06000 ---p 00007000 fd:02 9862                           /lib64/librt-2.14.so
:3900a06000-3900a07000 r--p 00006000 fd:02 9862                           /lib64/librt-2.14.so
:3900a07000-3900a08000 rw-p 00007000 fd:02 9862                           /lib64/librt-2.14.so
:3902000000-3902115000 r-xp 00000000 fd:02 9890                           /lib64/libglib-2.0.so.0.2800.8
:3902115000-3902315000 ---p 00115000 fd:02 9890                           /lib64/libglib-2.0.so.0.2800.8
:3902315000-3902316000 rw-p 00115000 fd:02 9890                           /lib64/libglib-2.0.so.0.2800.8
:3902316000-3902317000 rw-p 00000000 00:00 0 
:7fd36b9cc000-7fd36b9d8000 r-xp 00000000 fd:02 60640                      /lib64/libnss_files-2.14.so
:7fd36b9d8000-7fd36bbd7000 ---p 0000c000 fd:02 60640                      /lib64/libnss_files-2.14.so
:7fd36bbd7000-7fd36bbd8000 r--p 0000b000 fd:02 60640                      /lib64/libnss_files-2.14.so
:7fd36bbd8000-7fd36bbd9000 rw-p 0000c000 fd:02 60640                      /lib64/libnss_files-2.14.so
:7fd36bbd9000-7fd36bbdd000 rw-p 00000000 00:00 0 
:7fd36bc00000-7fd36bc07000 r--s 00000000 fd:02 139488                     /usr/lib64/gconv/gconv-modules.cache
:7fd36bc07000-7fd36bc08000 rw-p 00000000 00:00 0 
:7fff32de1000-7fff32e02000 rw-p 00000000 00:00 0                          [stack]
:7fff32e68000-7fff32e69000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Jul  5 11:39:50 biotyt kernel: [ 4986.123824] gam_server[1909]: segfault at 0 ip 00000038ff12a6da sp 00007fffcb8cc5c8 error 4 in libc-2.14.so[38ff000000+18f000]
:Jul  5 11:39:50 biotyt abrt[6010]: saved core dump of pid 1909 (/usr/libexec/gam_server) to /var/spool/abrt/ccpp-2011-07-05-11:39:50-1909.new/coredump (696320 bytes)
:Jul  6 11:25:07 biotyt abrt[6329]: saved core dump of pid 1351 (/usr/libexec/gam_server) to /var/spool/abrt/ccpp-2011-07-06-11:25:07-1351.new/coredump (720896 bytes)
:Jul  7 15:30:10 biotyt kernel: [ 3150.801816] gam_server[1897] general protection ip:38ff12a6da sp:7fffe040f0a8 error:0 in libc-2.14.so[38ff000000+18f000]
:Jul  7 15:30:10 biotyt abrt[9079]: saved core dump of pid 1897 (/usr/libexec/gam_server) to /var/spool/abrt/ccpp-2011-07-07-15:30:10-1897.new/coredump (700416 bytes)
:Jul  8 12:21:52 biotyt abrt[710]: saved core dump of pid 23539 (/usr/libexec/gam_server) to /var/spool/abrt/ccpp-2011-07-08-12:21:52-23539.new/coredump (610304 bytes)
Comment 1 Michal Piotrowski 2011-07-08 06:40:34 EDT
I want to add that I was saving a file from Kate which was on automounted NFS share (no special characters or spaces in the filename).
Comment 2 Fedora End Of Life 2012-08-07 14:49:37 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.